import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/yinhao0424/9f1730ca91ab6a472fc212761267fa39/raw/9b95e8c146ea72cfae2a463f9208e0f415133a3e/h1b_sample.csv';

export const useData = () => {
  const [data, setData] = useState(null);
	// console.log('data',data)
  useEffect(() => {
    const row = d => {
      d.Latitude = +d.lat;
      d.Longitude = +d.lon;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
